Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.ide
Class MetaABMEditorActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.metaabm.ide.MetaABMEditorActionBarContributor

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.IEditorActionBarContributor, org.eclipse.ui.IPropertyListener

    public class MetaABMEditorActionBarContributor

extends org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
implements org.eclipse.jface.viewers.ISelectionChangedListener

This is the action bar contributor for the MetaABM model editor.

Author:
  Miles Parker *

Field Summary
`protected org.eclipse.ui.IEditorPart` | `activeEditorPart` This keeps track of the active editor.
`protected org.eclipse.jface.action.IAction` | `assignDefaultValuesAction` This action applies default values to selected attributes
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `createBuildTargetActions`
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `createChildActions` This will contain one `CreateChildAction` corresponding to each descriptor generated for the current selection by the item provider.
`protected org.eclipse.jface.action.IMenuManager` | `createChildMenuManager` This is the menu manager into which menu contribution items should be added for CreateChild actions.
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `createCommandTargetActions`
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `createOtherTargetActions`
`protected org.eclipse.jface.action.IMenuManager` | `createOtherTargetMenuManager`
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `createSelectTargetActions`
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `otherActions`
`protected org.eclipse.jface.action.IAction` | `refreshViewerAction` This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.
`protected org.eclipse.jface.viewers.ISelectionProvider` | `selectionProvider` This keeps track of the current selection provider.
`protected org.eclipse.jface.action.IAction` | `showPropertiesViewAction` This action opens the Properties view.
`protected org.eclipse.jface.action.IAction` | `toggleStatsAction` This action applies default values to selected attributes

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`MetaABMEditorActionBarContributor()` This creates an instance of the contributor.

Method Summary
`protected void` | `addGlobalActions(org.eclipse.jface.action.IMenuManager menuManager)` This inserts global actions before the "additions-end" separator.
`protected void` | `addItemsFor(org.eclipse.jface.action.IMenuManager menuManager, java.lang.Object sel)`
`void` | `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)` This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.
`void` | `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar.
`protected void` | `depopulateManager(org.eclipse.jface.action.IContributionManager manager, java.util.Collection<? extends org.eclipse.jface.action.IAction> actions)` This removes from the specified `manager` all `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection.
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `generateCreateChildActions(java.util.Collection<?> descriptors, org.eclipse.jface.viewers.ISelection selection)` This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions.
`protected java.util.Collection<org.eclipse.jface.action.IAction>` | `generateCreateSiblingActions(java.util.Collection<?> descriptors, org.eclipse.jface.viewers.ISelection selection)` This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions.
`org.eclipse.jface.action.IMenuManager` | `getSubmenuManager()`
`void` | `menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)` This populates the pop-up menu before it appears.
`protected void` | `populateManager(org.eclipse.jface.action.IContributionManager manager, java.util.Collection<? extends org.eclipse.jface.action.IAction> actions, java.lang.String contributionID)` This populates the specified `manager` with `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection, by inserting them before the specified contribution item `contributionID`.
`protected void` | `prepareMenu(org.eclipse.jface.action.IMenuManager menuManager, java.util.Collection<? extends org.eclipse.jface.action.IAction> actions, java.lang.String menuID, java.lang.String seperator)`
`protected boolean` | `removeAllReferencesOnDelete()` This ensures that a delete action will clean up all references to deleted objects.
`void` | `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)` This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.
`void` | `setActiveEditor(org.eclipse.ui.IEditorPart part)` When the active editor changes, this remembers the change and registers with it as a selection provider.

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, createCopyAction, createCutAction, createDeleteAction, createPasteAction, createRedoAction, createUndoAction, deactivate, getActiveEditor, init, propertyChanged, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activeEditorPart

    protected org.eclipse.ui.IEditorPart activeEditorPart

  This keeps track of the active editor.

### selectionProvider

    protected org.eclipse.jface.viewers.ISelectionProvider selectionProvider

  This keeps track of the current selection provider.

### showPropertiesViewAction

    protected org.eclipse.jface.action.IAction showPropertiesViewAction

  This action opens the Properties view.

### refreshViewerAction

    protected org.eclipse.jface.action.IAction refreshViewerAction

  This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.

### assignDefaultValuesAction

    protected org.eclipse.jface.action.IAction assignDefaultValuesAction

  This action applies default values to selected attributes

### toggleStatsAction

    protected org.eclipse.jface.action.IAction toggleStatsAction

  This action applies default values to selected attributes

### createChildActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> createChildActions

  This will contain one `CreateChildAction` corresponding to each descriptor generated for the current selection by the item provider.

### createSelectTargetActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> createSelectTargetActions

### createCommandTargetActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> createCommandTargetActions

### createBuildTargetActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> createBuildTargetActions

### createOtherTargetActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> createOtherTargetActions

### createChildMenuManager

    protected org.eclipse.jface.action.IMenuManager createChildMenuManager

  This is the menu manager into which menu contribution items should be added for CreateChild actions.

### createOtherTargetMenuManager

    protected org.eclipse.jface.action.IMenuManager createOtherTargetMenuManager

### otherActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> otherActions

Constructor Detail

### MetaABMEditorActionBarContributor

    public MetaABMEditorActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

  Overrides:
    `contributeToToolBar` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.

  Overrides:
    `contributeToMenu` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart part)

  When the active editor changes, this remembers the change and registers with it as a selection provider.

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`

### generateCreateChildActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> generateCreateChildActions(java.util.Collection<?> descriptors,
                                                                                                org.eclipse.jface.viewers.ISelection selection)

  This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions.

### generateCreateSiblingActions

    protected java.util.Collection<org.eclipse.jface.action.IAction> generateCreateSiblingActions(java.util.Collection<?> descriptors,
                                                                                                  org.eclipse.jface.viewers.ISelection selection)

  This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions.

### populateManager

    protected void populateManager(org.eclipse.jface.action.IContributionManager manager,
                                   java.util.Collection<? extends org.eclipse.jface.action.IAction> actions,
                                   java.lang.String contributionID)

  This populates the specified `manager` with `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection, by inserting them before the specified contribution item `contributionID`. If `contributionID` is `null`, they are simply added.

### depopulateManager

    protected void depopulateManager(org.eclipse.jface.action.IContributionManager manager,
                                     java.util.Collection<? extends org.eclipse.jface.action.IAction> actions)

  This removes from the specified `manager` all `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection.

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)

  This populates the pop-up menu before it appears.

  Specified by:
    `menuAboutToShow` in interface `org.eclipse.jface.action.IMenuListener`
  Overrides:
    `menuAboutToShow` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### addItemsFor

    protected void addItemsFor(org.eclipse.jface.action.IMenuManager menuManager,
                               java.lang.Object sel)

### prepareMenu

    protected void prepareMenu(org.eclipse.jface.action.IMenuManager menuManager,
                               java.util.Collection<? extends org.eclipse.jface.action.IAction> actions,
                               java.lang.String menuID,
                               java.lang.String seperator)

### addGlobalActions

    protected void addGlobalActions(org.eclipse.jface.action.IMenuManager menuManager)

  This inserts global actions before the "additions-end" separator.

  Overrides:
    `addGlobalActions` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### removeAllReferencesOnDelete

    protected boolean removeAllReferencesOnDelete()

  This ensures that a delete action will clean up all references to deleted objects.

  Overrides:
    `removeAllReferencesOnDelete` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### getSubmenuManager

    public org.eclipse.jface.action.IMenuManager getSubmenuManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD